This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 841847 - Software Update: no such table: changelog [NEEDINFO]
Software Update: no such table: changelog
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 07:43 EDT by Stef Walter
Modified: 2013-12-11 04:41 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-11 04:41:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rhughes: needinfo? (stefw)


Attachments (Terms of Use)

  None (edit)
Description Stef Walter 2012-07-20 07:43:50 EDT
Description of problem:

After being prompted to install updates, and following along a dialog came up that says:

Could not get updates
Failed to process request
More details
no such table: changelog

Version-Release number of selected component (if applicable):

Name        : PackageKit
Arch        : x86_64
Version     : 0.7.5
Release     : 1.fc17
Comment 1 Richard Hughes 2012-07-20 08:22:07 EDT
Can you try "pkcon get-updates" on the command line please. Thanks.
Comment 2 John Pitney 2012-07-21 11:00:16 EDT
I gave it a try, as I'm having the same issue here.  

$ sudo pkcon get-updates
[sudo] password for john: 
Getting updates               [=========================]         
Waiting in queue              [=========================]         
Starting                      [=========================]         
Getting information           [=========================]         
Fatal error: no such table: changelog
Comment 3 Dean Brettle 2012-10-18 02:52:44 EDT
I had the same problem. Running 'sudo yum makecache' fixed it.
Comment 4 "FeRD" (Frank Dana) 2012-11-01 08:54:09 EDT
'sudo yum clean metadata' also proved effective at clearing this error, and caused gpk-update-viewer to trigger downloads of everything necessary.

Perhaps-interestingly, the reported error was showing up for me even after a successful 'sudo yum check-update' run, until the '...clean metadata'.

yum-3.4.3-29.fc17.noarch
PackageKit-0.7.5-1.fc17.x86_64
Comment 5 Fedora End Of Life 2013-04-03 15:22:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.